dbXML API

## com.dbxml.xml.dtsm
Interface Consumer

All Known Implementing Classes:
  DOMProducer, SAXProducer, TextProducer

public interface Consumer

Consumer

Method Summary
`void` `attribute(DocumentTableEntry entry)`
`void` `beginDocument(DocumentTableEntry entry)`
`void` `beginElement(DocumentTableEntry entry)`
`void` `cdata(DocumentTableEntry entry)`
`void` `comment(DocumentTableEntry entry)`
`void` `docType(DocumentTableEntry entry)`
`void` `endDocument(DocumentTableEntry entry)`
`void` `endElement(DocumentTableEntry entry)`
`void` `entity(DocumentTableEntry entry)`
`void` `entityRef(DocumentTableEntry entry)`
`void` `notation(DocumentTableEntry entry)`
`void` `procInst(DocumentTableEntry entry)`
`void` `setDocumentTable(DocumentTable table)`
`void` `text(DocumentTableEntry entry)`

Method Detail

### setDocumentTable

    public void setDocumentTable(DocumentTable table)

### beginDocument

    public void beginDocument(DocumentTableEntry entry)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### endDocument

    public void endDocument(DocumentTableEntry entry)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### beginElement

    public void beginElement(DocumentTableEntry entry)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### endElement

    public void endElement(DocumentTableEntry entry)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### attribute

    public void attribute(DocumentTableEntry entry)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### procInst

    public void procInst(DocumentTableEntry entry)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### text

    public void text(DocumentTableEntry entry)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### cdata

    public void cdata(DocumentTableEntry entry)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### comment

    public void comment(DocumentTableEntry entry)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### docType

    public void docType(DocumentTableEntry entry)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### entity

    public void entity(DocumentTableEntry entry)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### entityRef

    public void entityRef(DocumentTableEntry entry)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### notation

    public void notation(DocumentTableEntry entry)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

dbXML API

Copyright (c) 2004 The dbXML Group